import axios from 'axios';
import type { TableData } from '@arco-design/web-vue/es/table/interface';

export interface ContentDataRecord {
  x: string;
  y: number;
}

export function queryContentData() {
  return axios.get<ContentDataRecord[]>('/api/content-data');
}

export interface PopularRecord {
  key: number;
  clickNumber: string;
  title: string;
  increases: number;
}

export function queryPopularList(params: { type: string }) {
  return axios.get<TableData[]>('/api/popular/list', { params });
}
export function index() {
  return axios.post<any>('/admin/api/v1/Dashboard/index');
}
/**
 * 
 * @param 获取仪表盘 用户注册分析
 * @returns 
 */
export function useranalysis() {
  return axios.post<any>('/admin/api/v1/Dashboard/useranalysis');
}
/**
 * 
 * @param 获取仪表盘 时间查询
 * @returns 
 */
export function useranalysis_time() {
  return axios.post<any>('/admin/api/v1/Dashboard/useranalysis_time');
}